# Class GenerateLoad.GeneratorInstance

java.lang.Object
org.apache.zookeeper.test.system.GenerateLoad.GeneratorInstance

All Implemented Interfaces:
  `Instance`

Enclosing class:
  `GenerateLoad`

public static class GenerateLoad.GeneratorInstance extends Object implements Instance

## Nested Class Summary

### Nested classes/interfaces inherited from interface Instance

`Instance.Reporter`

## Constructor Summary

Constructors
Constructor
Description
`GeneratorInstance()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(String params)`
This will be the second method invoked by the InstanceContainer.
`void`
`setReporter(Instance.Reporter r)`
This will be the first method invoked by the InstanceContainer after an instance of this interface has been constructed.
`void`
`start()`
Starts this instance.
`void`
`stop()`
Stops this instance.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneratorInstance

public GeneratorInstance()

## Method Details

### configure

public void configure(String params)
Description copied from interface: `Instance`
This will be the second method invoked by the InstanceContainer. It may be invoked again if the configuration changes.

Specified by:
  `configure` in interface `Instance`
Parameters:
  `params` - parameters that were passed to the InstanceManager when this instance was scheduled.

### setReporter

public void setReporter(Instance.Reporter r)
Description copied from interface: `Instance`
This will be the first method invoked by the InstanceContainer after an instance of this interface has been constructed. It will only be invoked once.

Specified by:
  `setReporter` in interface `Instance`
Parameters:
  `r` - a handle to use to report on status changes.

### start

public void start()
Description copied from interface: `Instance`
Starts this instance.

Specified by:
  `start` in interface `Instance`

### stop

public void stop()
Description copied from interface: `Instance`
Stops this instance.

Specified by:
  `stop` in interface `Instance`